
local plugin = BigWigs:GetPlugin("Bars")
local db = plugin.db.profile

local function style(bar) 
	bar.candyBarLabel:SetJustifyH("LEFT")
	bar.candyBarLabel:ClearAllPoints()
	bar.candyBarLabel:Point("LEFT", bar, "LEFT", db.BigWigsAnchor_height + 4, 0)

	bar.candyBarDuration:SetJustifyH("LEFT")
	bar.candyBarDuration:ClearAllPoints()
	bar.candyBarDuration:Point("RIGHT", bar, "LEFT", -2, 0)

	if (bar.remaining < db.emphasizeTime) then
		bar:SetTextColor(1, 0, 0)
	end
end

plugin:RegisterBarStyle("GioNoBars", {
	apiVersion = 1,
	version = 1,
	ApplyStyle = style,
	GetStyleName = function() return "Gio No Bars" end,
})
